/* Tailwind Core - source(none) disables default auto-detection to prevent bundler errors from generated url(...) utilities */
@import 'tailwindcss' source(none);

@source "../app";
@source "../components";
@source "../modules";
@source "../hooks";
@source "../providers";
@source "../lib";
@source "../utils";
@source "../services";
@source "../config";
@source "../i18n";
@source "../types";
@source "../network";

/* ReUI Configs */
@import './config.reui.css';

/** Global Styles **/
@layer base {
  * {
    @apply border-border;
  }

  *:focus-visible {
    @apply outline-ring rounded-xs shadow-none outline-2 outline-offset-3 transition-none!;
  }
}

/* Metronic Components  */
@import './components/image-input.css';
@import './components/apexcharts.css';
@import './components/leaflet.css';
@import './components/rating.css';
@import './components/image-input.css';
@import './components/scrollable.css';
@import './components/tiptap.css';

/* Demos */
@import './demos/demo1.css';

/** Dark/Light Theme Variant **/
@custom-variant dark (&:is(.dark *));
@custom-variant light (&:not(.dark *));
